Revokes a given token by following OAuth 2.0 Token Revocation. This method invalidates the provided token, preventing its future use. This API only revokes refresh tokens issued for workforce pools.
HTTP request
POST https://cloudoauth.googleapis.com/v1/common/revoke
The URL uses gRPC Transcoding syntax.
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "token": string, "tokenTypeHint": string, "parent": string } |
| Fields | |
|---|---|
token |
Required. The OAuth 2.0 security token to revoke. Only refresh tokens are supported. |
tokenTypeHint |
Optional. The type of the given token. The only supported value is |
parent |
Optional. The resource name of the parent organization. Format: |
Response body
If successful, the response body is empty.